eoSortedPopStat(3)

NAME
eoSortedPopStat - Thanks to MS/VC++, eoParam mechanism is unable to handle std::vectors of stats.

SYNOPSIS

#include <eoPopStat.h>

Inherits eoSortedStat< EOT, std::string >.

  Public Member Functions
eoSortedPopStat (unsigned _howMany=0, std::string _desc='')
default Ctor, void std::string by default, as it appears on the description line once at beginning of evolution.
void operator() (const std::vector< const EOT * > &_pop)
Fills the value() of the eoParam with the dump of the population.

  Private Attributes
unsigned combien

Detailed Description

  template<class EOT> class eoSortedPopStat< EOT >
Thanks to MS/VC++, eoParam mechanism is unable to handle std::vectors of stats. This snippet is a workaround: This class will 'print' a whole population into a std::string - that you can later send to any stream This is the Sorted version - see eoPopString for the plain version

Note: this Stat should probably be used only within eoStdOutMonitor, and not inside an eoFileMonitor, as the eoState construct will work much better there.

Definition at line 96 of file eoPopStat.h.

Constructor & Destructor Documentation

  template<class EOT> eoSortedPopStat< EOT >::eoSortedPopStat (unsigned _howMany = 0, std::string _desc = '') [inline]

default Ctor, void std::string by default, as it appears on the description line once at beginning of evolution.

and is meaningless there _howMany defaults to 0, that is, the whole population

Definition at line 107 of file eoPopStat.h.

Member Function Documentation

  template<class EOT> void eoSortedPopStat< EOT >::operator() (const std::vector< const EOT * > & _pop) [inline, virtual]

Fills the value() of the eoParam with the dump of the population.

Adds a
 before so it does not get mixed up with the rest of the stats that are written by the monitor it is probably used from.

Implements eoUF< const std::vector< const EOT * > &, void >.

Definition at line 116 of file eoPopStat.h.

References eoValueParam< std::string >::value().

Author

Generated automatically by Doxygen for EO from the source code.